## mingw-w64-gsoap-2.8.135-1.src.tar.zst

=== gsoap/mod_gsoap/gsoap_win/isapi/vs2010/Makefile ===
DELFILES= *.ncb *.opt *.plg *.clw *.pch *.aps *.pdb *.dll *.db \
	RECV.log SENT.log TEST.log
DELDIRS= .\Debug .\Release

all:
	cd samples
		$(MAKE)
	cd ..
	cd gsoap
		$(MAKE)
	cd ..


clean:
	for %v in ($(DELFILES)) DO if exist %v del %v
	for %v in ($(DELDIRS)) DO if exist %v\*.* rmdir /s/q %v
	cd samples
		$(MAKE) clean
	cd ..
	cd gsoap
		$(MAKE) clean
	cd ..
	
start:
	net start W3SVC

stop:
	net stop WAS

=== gsoap/mod_gsoap/gsoap_win/isapi/vs2010/samples/Makefile ===
all:
	cd calc
		$(MAKE)
	cd ..
	cd dime
		$(MAKE)
	cd ..


clean:
	cd calc
		$(MAKE) clean
	cd ..
	cd dime
		$(MAKE) clean
	cd ..

=== gsoap/mod_gsoap/gsoap_win/isapi/vs2010/samples/dime/Makefile ===
DELFILES= *.ncb *.opt *.plg *.clw *.pch *.aps *.pdb *.dll *.exe \
	*.nsmap *.xml *.wsdl ns.xsd \
	RECV.log SENT.log TEST.log \
	soapC.c?? soapClient.c?? soapServer.c?? soapStub.h soapH.h \
	soapClientLib.* soapServerLib.*
DELDIRS= .\Debug .\Release .\Win32

all:
	MsBuild dime.vcxproj
	MsBuild dimeclnt.vcxproj

clean:
	for %v in ($(DELDIRS)) DO if exist %v\*.* rmdir /s/q %v
	for %v in ($(DELFILES)) DO if exist %v del %v

=== PKGBUILD ===
# Maintainer: gym603 <gui_yuan_miao@163.com>

_realname=gsoap
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=2.8.135
pkgrel=1
pkgdesc="An extensive suite of portable C and C++ software to develop XML Web services with powerful type-safe XML data bindings (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.genivia.com/dev.html'
msys2_references=(
  "cpe: cpe:/a:genivia:gsoap"
)
license=('spdx:GPL-2.0-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-openssl"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-autotools")
source=(https://prdownloads.sourceforge.net/gsoap2/${_realname}_${pkgver}.zip)
sha256sums=('b11757e405d55d4674dfbf88c4fa6d7e24155cf64ed8ed578ccad2f2b555e98d')

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  ../${_realname}-${pkgver%.*}/configure \
    --prefix=${MINGW_PREFIX} \
    --build=${MINGW_CHOST} \
    --host=${MINGW_CHOST} \
    --target=${MINGW_CHOST}

  make
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  make DESTDIR="${pkgdir}" install

  install -Dm644 "${srcdir}/${_realname}-${pkgver%.*}/LICENSE.txt" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE.txt"
}
